Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.query.plan.logical
Class CompoundName

    java.lang.Object
      com.dbxml.db.core.query.plan.QueryNode
          com.dbxml.db.core.query.plan.logical.LogicalQueryNode
              com.dbxml.db.core.query.plan.logical.CompoundName

public final class CompoundName
extends LogicalQueryNode

CompoundName

Field Summary
`static CompoundName` | `Wildcard`

Constructor Summary
`CompoundName(ElementName elementName, AttributeName attributeName)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`AttributeName` | `getAttributeName()`
`ElementName` | `getElementName()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Wildcard

    public static final CompoundName Wildcard

Constructor Detail

### CompoundName

    public CompoundName(ElementName elementName,
                        AttributeName attributeName)

Method Detail

### getElementName

    public ElementName getElementName()

### getAttributeName

    public AttributeName getAttributeName()

### equals

    public boolean equals(java.lang.Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group